import numpy, Nio, Ngl
from wrf_plot_ngl import *

#---Read data
filename = "../Data/wrfout_d03_2012-04-22_23_00_00_var_partial.nc"
a  = Nio.open_file(filename)
T  = a.variables["T"][0,0,:,:]   # Read first time step and level (nlat x nlon)
P  = a.variables["P"][0,0,:,:]
PB = a.variables["PB"][0,0,:,:]

T  = T + 300
P  = P + PB
TC = Ngl.wrf_tk(P, T) - 273.16      # Convert to degC
print("Min/Max TC =",numpy.min(TC),"/",numpy.max(TC))

# Add WRF native projection map options
res = Ngl.Resources()
Ngl.wrf_map_resources(filename,res)
wrf_plot_var(TC,res=res,contour_type="raster",output_name="wrf_TC")



