import matplotlib
import numpy as np
import matplotlib.cm as cm
import matplotlib.mlab as mlab
import matplotlib.pyplot as plt

import numpy, Nio, Ngl, sys

filename = "wrfout_d03_2012-04-22_23_00_00.nc"
f = Nio.open_file(filename)

#print f
#{'DateStrLen': 19, 'Time': 1, 'south_north': 240, 'west_east_stag': 241, 'bottom_top_stag': 36, 'soil_layers_stag': 5, 'bottom_top': 35, 'west_east': 240, 'south_north_stag': 241}
dims = f.dimensions
nx = dims['west_east']
ny = dims['south_north']
nz = dims['bottom_top']

T  = f.variables["T"]
P  = f.variables["P"]
PB = f.variables["PB"]

T = T[:] + 300
P = P[:] + PB[:]
TK = Ngl.wrf_tk(P, T)
#TC = Ngl.wrf_tk(P, T) - 273.16

t3d = TK.reshape(nz,ny,nx)

plt.figure()
im = plt.imshow(t3d[0,:,:], interpolation='bilinear', origin='lower',
		cmap=cm.coolwarm, extent=(-3,3,-2,2))
#               cmap=cm.Spectral, extent=(-3,3,-2,2))
levels = np.arange(295.0, 303.0, 1.0)
CS = plt.contour(t3d[0,:,:], levels,
		 origin='lower',
		 linewidths=2,
		 extent=(-3,3,-2,2))

#Thicken the zero contour.
zc = CS.collections[6]
plt.setp(zc, linewidth=4)

plt.clabel(CS, levels[1::2], inline=1, fmt='%3.0f', fontsize=14)

# make a colorbar for the contour lines
CB = plt.colorbar(CS, shrink=0.8, extend='both')

plt.title('Lines with colorbar')
#plt.hot()  # Now change the colormap for the contour lines and colorbar
plt.flag()

# We can still add a colorbar for the image, too.
CBI = plt.colorbar(im, orientation='horizontal', shrink=0.8)

# This makes the original colorbar look a bit out of place,
# so let's improve its position.

l,b,w,h = plt.gca().get_position().bounds
ll,bb,ww,hh = CB.ax.get_position().bounds
CB.ax.set_position([ll, b+0.1*h, ww, h*0.8])

plt.show()

